curl --location 'https://api.recital.finance/api/wallets/balances/{accountWalletId}' \
--header 'Authorization: Bearer apiKey'
{
"walletBalances": [
{
"accountWalletId": {accountWalletId},
"currency": "NGN",
"provider": "0009",
"ledger": 3045.150000,
}
]
}
{
"message": "Invalid accountWalletId",
"success": false
}
Wallet API(s)
Get Wallet Balances
Get wallet balances.
GET
/
api
/
v1
/
wallets
/
balances
/
{accountWalletId}
curl --location 'https://api.recital.finance/api/wallets/balances/{accountWalletId}' \
--header 'Authorization: Bearer apiKey'
{
"walletBalances": [
{
"accountWalletId": {accountWalletId},
"currency": "NGN",
"provider": "0009",
"ledger": 3045.150000,
}
]
}
{
"message": "Invalid accountWalletId",
"success": false
}
Query
No query parameters are required.The
{accountWalletId} is passed as part of the URL.
curl --location 'https://api.recital.finance/api/wallets/balances/{accountWalletId}' \
--header 'Authorization: Bearer apiKey'
{
"walletBalances": [
{
"accountWalletId": {accountWalletId},
"currency": "NGN",
"provider": "0009",
"ledger": 3045.150000,
}
]
}
{
"message": "Invalid accountWalletId",
"success": false
}
⌘I